عرض المشاكل وحلولها للأنشطة التجارية

توضّح هذه الصفحة كيف يمكن لمطوّري التطبيقات الخارجية استخدام خدمة حلّ المشاكل لإنشاء صفحة تشخيص داخل التطبيق لمؤسساتهم.

يمكنك استخدام Accounts API للاطّلاع على المشاكل التي تؤثر في حساب نشاطك التجاري وأي حساب يمكنك الوصول إليه.

تقع على عاتقك مسؤولية الالتزام بسياسات إعلانات Shopping والبيانات المجانية. تحتفظ Google Shopping بالحق في تنفيذ هذه السياسات واتخاذ الإجراءات المناسبة إذا عثرنا على محتوى أو سلوك يخالف هذه السياسات.

يمكنك استخدام هذه الخدمة لإنشاء واجهات مستخدم مشابهة لصفحتَي بيانات تشخيص الحساب ومشاكل المنتجات في Merchant Center.

تتوفّر خدمة "حلّ المشاكل" لواجهات المستخدم التابعة لجهات خارجية فقط. يجب إرسال الطلبات عندما تتفاعل مؤسسة مع واجهة المستخدم في تطبيقك. لأتمتة بيانات التشخيص لحساب نشاطك التجاري، يُرجى الاطّلاع على دليل مشاكل الحساب.

ننصحك بتوفير الصفحات التالية في تطبيقك لمساعدة مؤسستك في تحديد المشاكل وحلّها:

  • بيانات تشخيص الحساب
  • بيانات تشخيص المنتجات

خيارات مختلفة لتنفيذ صفحة بيانات التشخيص

يمكنك تنفيذ صفحة بيانات التشخيص بطرق مختلفة. استنادًا إلى احتياجاتك، حدِّد الخيار الذي يحدّد كيفية التعامل مع إجراءات التشخيص المعقّدة. في الطلب، يمكنك ضبط user_input_action_option على أحد الخيارات التالية:

  • ‫REDIRECT_TO_MERCHANT_CENTER: هذا هو الخيار التلقائي. لا يتم تنفيذ الإجراءات التي تتطلّب عرض محتوى إضافي أو تلقّي إدخالات إضافية من المؤسسة بشكل كامل في تطبيقك. بالنسبة إلى هذه الإجراءات، توفّر واجهة برمجة التطبيقات رابطًا لإعادة التوجيه إلى الصفحة المقابلة في Merchant Center حيث يمكن للمؤسسة تنفيذ الإجراء.

  • ‫BUILT_IN_USER_INPUT_ACTIONS: يمكنك تنفيذ إجراءات معقّدة تتطلّب إدخال المستخدم كحلّ داخل تطبيقك.

تنفيذ صفحة بيانات التشخيص

يتناول هذا القسم كيفية تنفيذ صفحة "بيانات التشخيص". ويستخدم الخيار التلقائي (البسيط) لمعالجة الإجراءات المعقّدة كعمليات إعادة توجيه إلى Merchant Center.

التنفيذ

في ما يلي الشكل الذي نقترحه لصفحة بيانات التشخيص:

  • تفتح مؤسسة صفحة بيانات التشخيص في تطبيقك.
  • يطلب تطبيقك بيانات التشخيص من خلال استدعاء خدمة issueresolution.

إليك نموذج طلب:

POST  https://merchantapi.googleapis.com/issueresolution/v1/accounts/{ACCOUNT_ID}:renderaccountissues?timeZone=America/Los_Angeles&languageCode=en-GB { }

استبدِل {ACCOUNT_ID} بالمعرّف الفريد للحساب الذي تريد بدء معالجة الإجراء له.

  • يعرض تطبيقك بيانات التشخيص والإجراءات المقترَحة من الردّ على النشاط التجاري. إليك نموذج ردّ:

    {
      "renderedIssues": [
        {
          "title": "Misrepresentation",
          "impact": {
            "message": "Prevents all products from showing in all countries",
            "severity": "ERROR",
            "breakdowns": [
              {
                "regions": [
                  {
                    "code": "001",
                    "name": "All countries"
                  }
                ],
                "details": [
                  "Products not showing organically"
                ]
              }
            ]
          },
          "prerenderedContent": "\u003cdiv class=\"issue-detail\"\u003e\u003cdiv class=\"issue-content\"\u003e\u003cp class=\"content-element\"\u003e\u003cspan class=\"segment\"\u003eBased on the information available about your business, there is reason to believe that customers are being misled on Google. Review the Misrepresentation policy and make changes to your Merchant Center and/or online store.u003c/span\u003e\u003c/p\u003e\u003cp class=\"content-element root-causes-intro\"\u003e\u003cspan class=\"segment\"\u003eMake sure your Merchant Center and online store follow the following best practices / guidelines\u003c/span\u003e\u003c/p\u003e\u003cul class=\"content-element root-causes\"\u003e\u003cli\u003e\u003cp\u003e\u003cspan class=\"segment\"\u003eProvide transparency about your business identity, business model, policies and how your customers can interact with you\u003c/span\u003e\u003c/p\u003e\u003c/li\u003e\u003cli\u003e\u003cp\u003e\u003cspan class=\"segment\"\u003ePromote your online reputation by showing reviews or highlighting any badges or seals of approval\u003c/span\u003e\u003c/p\u003e\u003c/li\u003e\u003cli\u003e\u003cp class=\"tooltip tooltip-style-info\"\u003e\u003cspan class=\"segment\"\u003eUse a professional design for your online store that includes an SSL certificate\u003c/span\u003e\u003cspan class=\"tooltip-icon\"\u003e\u003cbr\u003e\u003c/span\u003e\u003cspan class=\"tooltip-text\"\u003e\u003cspan class=\"segment\"\u003eMake sure it's accessible for all users without any redirects and doesn't have any placeholders for text and images.u003c/span\u003e\u003c/span\u003e\u003c/p\u003e\u003c/li\u003e\u003cli\u003e\u003cp class=\"tooltip tooltip-style-info\"\u003e\u003cspan class=\"segment\"\u003eProvide information in the business information settings in your Merchant Center\u003c/span\u003e\u003cspan class=\"tooltip-icon\"\u003e\u003cbr\u003e\u003c/span\u003e\u003cspan class=\"tooltip-text\"\u003e\u003cspan class=\"segment\"\u003eLink any relevant third-party platforms to your Merchant Center and create a Google Business Profile.u003c/span\u003e\u003c/span\u003e\u003c/p\u003e\u003c/li\u003e\u003cli\u003e\u003cp\u003e\u003cspan class=\"segment\"\u003eFollow SEO guidelines, improve your eligibility for seller ratings and match your product data in your Merchant Center with your online store\u003c/span\u003e\u003c/p\u003e\u003c/li\u003e\u003c/ul\u003e\u003ca href=\"https://support.google.com/merchants/answer/6150127?hl=en-US\" class=\"content-element\"\u003eLearn more about the Misrepresentation policy\u003c/a\u003e\u003c/div\u003e\u003c/div\u003e",
          "actions": [
            {
              "externalAction": {
                "type": "REVIEW_ACCOUNT_ISSUE_IN_MERCHANT_CENTER",
                "uri": "https://merchants.google.com/mc/products/diagnostics/accountissues?a=672911686&hl=en-US"
              },
              "buttonLabel": "Request review",
              "isAvailable": true
            }
          ],
          "prerenderedOutOfCourtDisputeSettlement": "\u003cdetails class=\"ods-section\"\u003e\u003csummary\u003eShow additional options available to you\u003c/summary\u003e\u003cp class=\"ods-description\"\u003e\u003cspan class=\"segment\"\u003eYou may have the option to request an external appeal. You'll also be asked to provide your routing and reference IDs.\u003c/span\u003e \u003ca href=\"https://support.google.com/european-union-digital-services-act-redress-options?hl=en-GB\" target=\"_blank\" class=\"segment\"\u003eLearn more about external appeals\u003c/a\u003e\u003c/p\u003e\u003cp class=\"ods-param ods-routing-id\"\u003e\u003cspan class=\"segment ods-param-header\"\u003eRouting ID:\u003c/span\u003e \u003cspan class=\"segment ods-param-value\"\u003eRDAX\u003c/span\u003e\u003c/p\u003e\u003cp class=\"ods-param ods-reference-id\"\u003e\u003cspan class=\"segment ods-param-header\"\u003eReference ID:\u003c/span\u003e \u003cspan class=\"segment ods-param-value\"\u003e672911686\u003c/span\u003e\u003c/p\u003e\u003c/details\u003e"
        },
        {
          "title": "Adult-oriented content",
          "impact": {
            "message": "Prevents all products from showing in all countries",
            "severity": "ERROR",
            "breakdowns": [
              {
                "regions": [
                  {
                    "code": "001",
                    "name": "All countries"
                  }
                ],
                "details": [
                  "Products not showing organically"
                ]
              }
            ]
          },
          "prerenderedContent": "\u003cdiv class=\"issue-detail\"\u003e\u003cdiv class=\"callout-banners\"\u003e\u003cdiv class=\"callout-banner callout-banner-info\"\u003e\u003cp\u003e\u003cspan class=\"segment\"\u003eReview requested on Aug 9, 2023. It can take a few days to complete.u003c/span\u003e\u003c/p\u003e\u003c/div\u003e\u003c/div\u003e\u003cdiv class=\"issue-content\"\u003e\u003cp class=\"content-element\"\u003e\u003cspan class=\"segment\"\u003eThere was a problem identified with the sale of prohibited adult products on your online store. In the case that you are intentionally selling adult items, enable Adult content in Settings in your Merchant Center. In your product file, use the \u003c/span\u003e\u003cspan class=\"segment segment-attribute\"\u003eadult\u003c/span\u003e\u003cspan class=\"segment\"\u003e attribute for specific products.u003c/span\u003e\u003c/p\u003e\u003cp class=\"content-element root-causes-intro\"\u003e\u003cspan class=\"segment\"\u003eMake sure the products meet the policy requirements\u003c/span\u003e\u003c/p\u003e\u003cul class=\"content-element root-causes\"\u003e\u003cli\u003e\u003cp class=\"tooltip tooltip-style-info\"\u003e\u003cspan class=\"segment\"\u003eAdult oriented content may be prohibited or restricted depending on the product sold and the country it is sold\u003c/span\u003e\u003cspan class=\"tooltip-icon\"\u003e\u003cbr\u003e\u003c/span\u003e\u003cspan class=\"tooltip-text\"\u003e\u003cspan class=\"segment\"\u003eSee a full list of countries in the HelpCenter\u003c/span\u003e\u003c/span\u003e\u003c/p\u003e\u003c/li\u003e\u003cli\u003e\u003cp class=\"tooltip tooltip-style-info\"\u003e\u003cspan class=\"segment\"\u003eDon't list sexually explicit content that is intended to arouse or includes content such as text, image, audio, or video of graphic sexual acts intended to arouse\u003c/span\u003e\u003cspan class=\"tooltip-icon\"\u003e\u003cbr\u003e\u003c/span\u003e\u003cspan class=\"tooltip-text\"\u003e\u003cspan class=\"segment\"\u003eExamples: Graphic depictions of sexual acts in progress, including hardcore pornography, any type of genital, anal, or oral sexual activity; graphic depictions of masturbation or genital arousal and language explicitly referencing arousal, masturbation, cartoon porn, or hentai\u003c/span\u003e\u003c/span\u003e\u003c/p\u003e\u003c/li\u003e\u003c/ul\u003e\u003ca href=\"https://support.google.com/merchants/answer/6150138?hl=en-US#wycd-restricted-adult-content\" class=\"content-element\"\u003eLearn more about the Adult-oriented content policy\u003c/a\u003e\u003c/div\u003e\u003c/div\u003e"
        },
        {
          "title": "Missing return and refund policy",
          "impact": {
            "message": "Limits visibility of all products in all countries",
            "severity": "ERROR",
            "breakdowns": [
              {
                "regions": [
                  {
                    "code": "001",
                    "name": "All countries"
                  }
                ],
                "details": [
                  "Limited visibility for products showing organically"
                ]
              }
            ]
          },
          "prerenderedContent": "\u003cdiv class=\"issue-detail\"\u003e\u003cdiv class=\"issue-content\"\u003e\u003cp class=\"content-element\"\u003e\u003cspan class=\"segment\"\u003eThere was a problem identified with the return and/or refund policy of your online store. Update your return or refund policy to provide customers a transparent shopping experience.u003c/span\u003e\u003c/p\u003e\u003cp class=\"content-element root-causes-intro\"\u003e\u003cspan class=\"segment\"\u003eMake sure your products meet the Shopping policy requirements\u003c/span\u003e\u003c/p\u003e\u003cul class=\"content-element root-causes\"\u003e\u003cli\u003e\u003cp class=\"tooltip tooltip-style-info\"\u003e\u003cspan class=\"segment\"\u003eIt's available on your online store\u003c/span\u003e\u003cspan class=\"tooltip-icon\"\u003e\u003cbr\u003e\u003c/span\u003e\u003cspan class=\"tooltip-text\"\u003e\u003cspan class=\"segment\"\u003eWe recommend that you have a separate landing page for your policy and link to it from the other pages on your online store, so that it's easy to find.u003c/span\u003e\u003c/span\u003e\u003c/p\u003e\u003c/li\u003e\u003cli\u003e\u003cp class=\"tooltip tooltip-style-info\"\u003e\u003cspan class=\"segment\"\u003eIt's available in the language of the country you're selling in or in English\u003c/span\u003e\u003cspan class=\"tooltip-icon\"\u003e\u003cbr\u003e\u003c/span\u003e\u003cspan class=\"tooltip-text\"\u003e\u003cspan class=\"segment\"\u003eMake sure that the return and/or refund policy is available in the target language or in English. Ideally, users should be given the option to select the return and/or refund policy in their own language.u003c/span\u003e\u003c/span\u003e\u003c/p\u003e\u003c/li\u003e\u003cli\u003e\u003cp\u003e\u003cspan class=\"segment\"\u003eIt's accessible to everyone visiting your online store, without having to log in, sign up or enter any personal information\u003c/span\u003e\u003c/p\u003e\u003c/li\u003e\u003c/ul\u003e\u003ca href=\"https://support.google.com/merchants/answer/9158778?hl=en-US\" class=\"content-element\"\u003eLearn more about Missing return and refund policy\u003c/a\u003e\u003c/div\u003e\u003c/div\u003e",
          "actions": [
            {
              "externalAction": {
                "type": "REVIEW_ACCOUNT_ISSUE_IN_MERCHANT_CENTER",
                "uri": "https://merchants.google.com/mc/products/diagnostics/accountissues?a=672911686&hl=en-US"
              },
             "buttonLabel": "Request review",
             "isAvailable": true
            }
          ]
        }
      ]
    }
    
  • ننصحك بعرض المشاكل بالترتيب الذي تظهر به، مع title وimpact.message. ننصحك أيضًا بعرض impact.breakdowns المشكلة عندما يمرّر المستخدم المؤشر فوق عنوان المشكلة أو وصفها.

  • ينقر النشاط التجاري على مشكلة من القائمة.

  • يعرض تطبيقك impact المفصّلة لكل مشكلة حسب country، destination، prerendered_content، prerendered_out_of_court_dispute_settlement وأزرار actions التي يمكن للمؤسسة اتخاذها لحل المشكلة. هناك أنواع مختلفة من الإجراءات:

    1. الإجراءات الخارجية: تشير إلى الصفحة الخارجية، على سبيل المثال، في Merchant Center، حيث يمكن للمؤسسة حلّ المشكلة.
    2. الإجراءات البسيطة المضمّنة: يمكنك توجيه المستخدم إلى الصفحة في تطبيقك حيث يمكن للمؤسسة حلّ المشكلة.
    3. إجراءات مدمجة لإدخال المستخدم: يفتح مربّع حوار يمكن للمؤسسة من خلاله تقديم المعلومات المطلوبة وطلب الإجراء. لا يتوفّر هذا النوع من الإجراءات إلا إذا تم طلب BUILT_IN_USER_INPUT_ACTIONS.
  1. تتّبع المؤسسة التعليمات لحلّ المشكلة.
  2. تعيد المؤسسة تحميل صفحة بيانات التشخيص في تطبيقك.
  3. يُرسل تطبيقك طلبًا آخر إلى خدمة IssueResolution، ويعرض قائمة محدَّثة بالمشاكل.

يمكنك مقارنة المعلومات التي يعرضها تطبيقك النهائي بـ صفحات بيانات التشخيص في Merchant Center للتحقّق من عملية التنفيذ.

نماذج واجهة المستخدم

إليك مثال على كيفية عرض المعلومات من استجابة renderaccountissues في صفحة بيانات تشخيص الحساب. يتم ربط العناصر في واجهة المستخدم بحقول واجهة برمجة التطبيقات المقابلة في النموذج التجريبي. يمكنك إنشاء صفحة مماثلة لمشاكل المنتج.

الصورة

في ما يلي شكل صفحة بيانات تشخيص الحساب بعد تعبئتها:

الصورة

تنسيق HTML المعروض مسبقًا

تتضمّن الاستجابة من طلب خدمة حلّ المشاكل الحقل prerendered_content، وتفاصيل كل مشكلة بتنسيق HTML. يمكنك تضمين محتوى HTML هذا مباشرةً في واجهة المستخدم لعرض المشكلة بتنسيق قابل للقراءة.

قد تظهر لك عناصر HTML مع الفئة new-element. يتم تطبيق الفئة new-element على العناصر التي تتم إضافتها إلى ملف HTML بعد الدمج مع خدمة IssueResolution. ننصحك بإخفاء العناصر التي تتضمّن الفئة new-element، لكي تتمكّن من تصميم هذه العناصر قبل عرضها للمستخدمين في تطبيقك.

في ما يلي مثال على قيمة حقل prerendered_content:

<div class="issue-detail">
  <div class="callout-banners">
    <div class="callout-banner callout-banner-info"><p><span class="segment">Review requested on Aug 9, 2023. It can take a few days to complete.</span>
    </p></div>
  </div>
  <div class="issue-content"><p class="content-element"><span class="segment">There was a problem identified with the sale of prohibited adult products on your online store. In the case that you are intentionally selling adult items, enable Adult content in Settings in your Merchant Center. In your product file, use the </span><span
      class="segment segment-attribute">adult</span><span class="segment"> attribute for specific products.</span>
  </p>
    <p class="content-element root-causes-intro"><span class="segment">Make sure the products meet the policy requirements</span>
    </p>
    <ul class="content-element root-causes">
      <li><p class="tooltip tooltip-style-info"><span class="segment">Adult oriented content may be prohibited or restricted depending on the product sold and the country it is sold</span><span
          class="tooltip-icon"><br></span><span class="tooltip-text"><span class="segment">See a full list of countries in the HelpCenter</span></span>
      </p></li>
      <li><p class="tooltip tooltip-style-info"><span class="segment">Don't list sexually explicit content that is intended to arouse or includes content such as text, image, audio, or video of graphic sexual acts intended to arouse</span><span
          class="tooltip-icon"><br></span><span class="tooltip-text"><span class="segment">Examples: Graphic depictions of sexual acts in progress, including hardcore pornography, any type of genital, anal, or oral sexual activity; graphic depictions of masturbation or genital arousal and language explicitly referencing arousal, masturbation, cartoon porn, or hentai</span></span>
      </p></li>
    </ul>
    <a href="https://support.google.com/merchants/answer/6150138?hl=en-US#wycd-restricted-adult-content"
       class="content-element">Learn more about the Adult-oriented content policy</a></div>
</div>

في ما يلي شكل رمز HTML السابق prerendered_content إذا تم تضمينه في تطبيقك بدون أي تصميم:

الصورة

يمكنك استخدام فئات CSS متعددة لتعديل طريقة عرض المحتوى في واجهة المستخدم. إليك نموذج CSS يمكنك استخدامه:

issue-detail {
  text-align: left;
  width: 700px;
  border-radius: 8px;
  background: white;
  margin: 16px;
  padding: 16px;
}

.content-element {
  margin: 8px 0 8px 0;
  display: block;
}

/* callout banners */
.callout-banners {
  margin: 0 0 16px 0;
}

.callout-banner {
  display: block;
  padding: 16px 16px 6px 16px;
  margin: 0 0 8px 0;
  border-radius: 8px;
}

.callout-banner-info {
  background: #e8f0fe;
}

.callout-banner-warning {
  background: #fef7e0;
}

.callout-banner-error {
  background: #fce8e6;
}

/* add an icon to the callout banner */
.callout-banner p {
  background-repeat: no-repeat;
  padding-left: 32px;
}

.callout-banner-error p {
  background-image: url("https://fonts.gstatic.com/s/i/short-term/release/googlesymbols/error/default/20px.svg");
}

.callout-banner-warning p {
  background-image: url("https://fonts.gstatic.com/s/i/short-term/release/googlesymbols/warning/default/20px.svg");
}

.callout-banner-info p {
  background-image: url("https://fonts.gstatic.com/s/i/short-term/release/googlesymbols/search/default/20px.svg");
}

/* segments with style */
.segment-attribute {
  color: #198639;
  font-family: monospace, monospace;
}

.segment-bold {
  font-weight: bold;
}

.segment-italic {
  font-style: italic;
}

/* tooltip */
.tooltip {
  position: relative;
}

.tooltip-style-info .tooltip-icon:before {
  content: '(i)';
  font-style: normal;
  font-weight: normal;
  text-decoration: inherit;
  margin-left: 5px;
}

.tooltip-style-question .tooltip-icon:before {
  content: '(?)';
  font-style: normal;
  font-weight: normal;
  text-decoration: inherit;
  margin-left: 5px;
}

.tooltip .tooltip-text {
  visibility: hidden;
  text-align: left;
  background: white;
  border-radius: 8px;
  padding: 5px 0;
  border: 1px solid;
  padding: 10px;
  box-shadow: 3px 7px 12px #c1c1c1;
  position: absolute;
  z-index: 1;
}

.tooltip:hover .tooltip-text {
  visibility: visible;
}

/* table */
table.content-element {
  margin: 16px 0 16px 0;
  border: 1px solid #ccc;
  border-collapse: collapse;
  margin: 1em 0;
}

table.content-element th {
  background-color: #eee;
}

table.content-element th, table td {
  border: 1px solid #ddd;
  font-size: 0.9em;
  padding: 0.3em 1em;
}

/* hidde elements added in future, until they are supported in your application */
.new-element {
  visibility: hidden;
}

في ما يلي شكل المحتوى المعروض إذا كنت تستخدم CSS السابق:

الصورة

يمكنك أيضًا ضبط تلميحات الأدوات وعرضها باستخدام CSS:

الصورة

تنفيذ إجراء مدمج مع إدخال المستخدم

يتيح لك الإجراء المضمّن الذي يتطلّب إدخالاً من المستخدم توفير إمكانية تشخيص معقّدة كحلّ داخل تطبيقك. ننصح بتنفيذ ذلك من خلال مربّع حوار يمكن للمؤسسة من خلاله تقديم مدخلاتها وقراءة معلومات إضافية وتأكيد الطلب.

يحتوي كل إجراء على مسار إجراء واحد أو أكثر. بالنسبة لبعض الإجراءات، يمكن أن يكون هناك أكثر من تدفق واحد. على سبيل المثال، قد يكون هناك مسار مختلف عندما تطلب المؤسسة مراجعة إضافية لأنّها لا توافق على القرار، ومسار مختلف عندما تكون قد حلّت المشكلة.

لطلب البيانات من أجل تنفيذ إجراءات معقّدة باستخدام إدخال المستخدم، يجب ضبط حقل user_input_action_option على القيمة BUILT_IN_USER_INPUT_ACTIONS.

POST https://merchantapi.googleapis.com/issueresolution/v1/accounts/{ACCOUNT_ID}:renderaccountissues?timeZone=America/Los_Angeles&languageCode=en-GB
{
"user_input_action_option": "BUILT_IN_USER_INPUT_ACTIONS"
}

استبدِل {ACCOUNT_ID} بالمعرّف الفريد للحساب الذي تريد بدء معالجة الإجراء له.

التنفيذ

في ما يلي الشكل الذي نقترحه لصفحة بيانات التشخيص التي تطلب من المستخدم إدخال بيانات:

  1. ينقر المستخدم على زر الإجراء.

    • إذا كانت هناك مسارات متعددة متاحة، يقدّم تطبيقك جميع هذه المسارات حتى يتمكّن المستخدم من اختيار أحدها، استنادًا إلى نيته.
    • يختار المستخدم المسار.
  2. يعرض تطبيقك العنوان والرسالة ووسيلة الشرح ونموذج إدخال المستخدم لمسار الإجراء المحدّد. ننصحك بعرض هذه التفاصيل في مربّع حوار.

    • يحتوي وسيلة الشرح، إن وجدت، على معلومات مهمة تهدف إلى مساعدة المستخدم على فهم كيفية عمل الإجراء بشكل أفضل وما يجب القيام به لتحقيق النجاح. ننصحك بتمييز هذه الرسالة وتنسيقها وفقًا لخطورة وسيلة الشرح.
    • إذا كانت هناك أي حقول إدخال في المسار، يجب عرضها حتى يتمكّن المستخدم من تقديم القيم. إذا تم وضع علامة مطلوب على حقل الإدخال، يجب ألا يسمح تطبيقك للمؤسسة بإرسال الطلب قبل تقديم القيمة.
  3. يقرأ المستخدم المعلومات ويقدّم القيم المطلوبة.

  4. يؤكّد المستخدم طلبه من خلال النقر على الزر.

  5. يُشغِّل تطبيقك معالجة الإجراء من خلال استدعاء خدمة حلّ المشكلة. إليك نموذج طلب:

    POST https://merchantapi.googleapis.com/issueresolution/v1/accounts/{ACCOUNT_ID}:triggeraction
    
    {
      actionContext: "ActionContextValue=",
      actionInput: { actionFlowId: "flow1",
      inputValues: [
      { input_field_id: "input1", checkbox_input_value: { value: true } }
      ]
    }
    

    استبدِل {ACCOUNT_ID} بالمعرّف الفريد للحساب الذي تريد بدء معالجة الإجراء له.

  1. يعرض تطبيقك رسالة التأكيد التي تم تلقّيها من خدمة IssueResolution.

    • إذا عرضت الخدمة خطأ في عملية التحقّق من الصحة مع الحالة INVALID_ARGUMENT، ستتضمّن معلومات تفصيلية ورسالة خطأ مترجَمة يجب عرضها للنشاط التجاري. ننصح بعرض مثل هذا الخطأ بالقرب من حقل الإدخال المتأثر. في ما يلي مثال على نموذج ردّ:
    {
      "error":
        {
          "code": 400,
          "message": "[actionInput.inputValues] Invalid user input",
          "status": "INVALID_ARGUMENT",
          "details": [
          {
            "@type": "type.googleapis.com/google.rpc.ErrorInfo",
            "reason": "invalid",
            "domain": "global"
          },
          {
            "@type": "type.googleapis.com/google.rpc.BadRequest",
            "fieldViolations": [
              {
                "field": "actionInput.inputValues.input",
                "description": "The field is required"
              }
            ]
          }
        ]
      }
    }
    
    • إذا عرضت الخدمة حالة غير صالحة أو خطأ داخليًا، يُشار إليه بالحالتَين FAILED_PRECONDITION وINTERNAL، على التطبيق توجيه النشاط التجاري لإعادة تحميل الصفحة أو المحاولة لاحقًا.